From: Michael Fladischer <FladischerMichael@fladi.at>
Date: Mon, 30 Nov 2020 20:50:21 +0100
Subject: Skip concurrent transaction test if SQLite is used.

---
 t/unit/test_models.py | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/t/unit/test_models.py b/t/unit/test_models.py
index e655f4c..7489570 100644
--- a/t/unit/test_models.py
+++ b/t/unit/test_models.py
@@ -3,7 +3,7 @@ from unittest.mock import patch
 
 import pytest
 from celery import states, uuid
-from django.db import transaction
+from django.db import transaction, connection
 from django.db.utils import InterfaceError
 from django.test import TransactionTestCase
 
@@ -64,6 +64,7 @@ class test_Models(TransactionTestCase):
         )
         assert m1 not in TaskResult.objects.all()
 
+    @pytest.mark.skipif(connection.vendor == "sqlite", reason="Concurrent transactions not supported by SQLite")
     def test_store_result(self, ctype='application/json', cenc='utf-8'):
         """
         Test the `using` argument.
